用OpenResty+php部署typecho时,遇到mysql错误

用OpenResty+php部署typecho时,遇到mysql错误,提示No such file or directory,改怎么解决。
建议你们将mysql和phpmyadmin部署在host网络下

大概率是你创建 PHP 运行环境时,没有选择 mysql 相关的依赖。

  • 编辑运行环境,选择项目所需的依赖(不只是 mysql,还有哪些需要的依赖需要去参考 typecho 项目官方的说明文档)
  • 编辑成功后,需要进入应用商店的已安装应用列表,选择目标 PHP 应用点击 重建 按钮
1 个赞

应用商店中有一些应用会依赖到 MySQL,在数据库连接地址这里是默认的容器 Service Name,要确保在同一个 network 下。

我安装了,不装可能直接不显示,只显示sqlite

就连我用docker去连接也连接不到,我用了127.0.0.1和localhost访问不到

1 个赞

对了,在arm64的平台中,使用不了mysql5.7

都是容器安装,127 指的是容器内部,肯定访问不了啊。

到数据库页面查看 连接信息

论坛专门置顶了一篇文章,讲不同架构的服务器如何安装不支持的应用,去参考一下。
https://bbs-bak.fit2cloud.com/t/topic/670/2

请注意这是armv7的镜像,arm32位并不适用的吧

你用 Mysql 的容器名字就行了,127.0.0.1localhost 肯定是访不了的

Typecho是一个基于PHP的开源博客系统,除了mysqli扩展外,还需要以下扩展来支持Typecho的正常运行:

  1. mbstring扩展:用于处理多字节字符,包括中文等非ASCII字符的编码、解码和操作。Typecho使用mbstring来处理字符串操作,因此需要安装和启用该扩展。
  2. gd扩展:用于图像处理,包括生成缩略图、操作图片格式等。Typecho在上传图片、生成缩略图等功能中会使用gd扩展,因此需要安装和启用该扩展。
  3. PDO扩展:用于数据库访问抽象层,提供了一套统一的接口来访问不同类型的数据库。尽管Typecho默认使用mysqli扩展进行MySQL数据库的访问,但为了兼容性和可移植性,Typecho也使用了PDO扩展,因此需要安装和启用该扩展。

除了上述扩展,还需要确保PHP版本符合Typecho的要求。Typecho要求PHP版本至少为5.2,并推荐使用PHP 7.x 版本以获取更好的性能和安全性。

在配置PHP环境时,确保安装并启用了上述扩展,并使用符合Typecho要求的PHP版本,这样可以保证Typecho能够正常运行并提供全部功能。